package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgeneentityDTO implements Serializable {

    private static final long serialVersionUID = 103350492972935L;

    private Integer tgeneentityPK;

    private String project;

    private String pac;

    private String javaextends;

    private String javaimplements;

    private String createreferences;

    private String optimisticlocking;

    private String history;

    private String autoimport;

    private String inmanual;

    private String cache;

    private String log;

        public Integer getTgeneentityPK() {
    return tgeneentityPK;
    }

        public void setTgeneentityPK(Integer tgeneentityPK) {
    this.tgeneentityPK = tgeneentityPK;
    }

        public String getProject() {
    return project;
    }

        public void setProject(String project) {
    this.project = project;
    }

        public String getPac() {
    return pac;
    }

        public void setPac(String pac) {
    this.pac = pac;
    }

        public String getJavaextends() {
    return javaextends;
    }

        public void setJavaextends(String javaextends) {
    this.javaextends = javaextends;
    }

        public String getJavaimplements() {
    return javaimplements;
    }

        public void setJavaimplements(String javaimplements) {
    this.javaimplements = javaimplements;
    }

        public String getCreatereferences() {
    return createreferences;
    }

        public void setCreatereferences(String createreferences) {
    this.createreferences = createreferences;
    }

        public String getOptimisticlocking() {
    return optimisticlocking;
    }

        public void setOptimisticlocking(String optimisticlocking) {
    this.optimisticlocking = optimisticlocking;
    }

        public String getHistory() {
    return history;
    }

        public void setHistory(String history) {
    this.history = history;
    }

        public String getAutoimport() {
    return autoimport;
    }

        public void setAutoimport(String autoimport) {
    this.autoimport = autoimport;
    }

        public String getInmanual() {
    return inmanual;
    }

        public void setInmanual(String inmanual) {
    this.inmanual = inmanual;
    }

        public String getCache() {
    return cache;
    }

        public void setCache(String cache) {
    this.cache = cache;
    }

        public String getLog() {
    return log;
    }

        public void setLog(String log) {
    this.log = log;
    }

}